define([ "jquery", "underscore", "backbone", "views/tip", 
         "models/tipForm", "models/tip" ], function($,
		_, Backbone, TipView, TipForm, Tip) {

	var FormView = Backbone.View.extend({
		events : {
			"change #billTotal": "handleBillTotalChange",
			"change #tipPercent": "handleTipPercentChange",			
			"submit" : "handleCalculate",
			"click #clear" : "handleClear"
		},
		initialize : function() {
			this.model = TipForm;
			this.tipView = new TipView({
				model : TipForm
			});
		},
		handleBillTotalChange: function(e){
			this.model.setBillTotal($(e.currentTarget).val());
		},	
		handleTipPercentChange: function(e){
			var roundedTip = this.model.roundTipPercent($(e.currentTarget).val());
			$(e.currentTarget).val(roundedTip); // show user rounded value used for calcs
		},	
		handleCalculate: function(e) {
			e.preventDefault();
			this.tipView.render();
		},
		handleClear: function(e) {
			console.log("resetting");
			this.model.set(this.model.defaults);
			this.tipView.render();
		}
	});

	return FormView;
});