requirejs.config({
	baseUrl : "../",
	paths : {
		// third party
		jquery : "app/components/thirdParty/jquery.min",
		domReady : "app/components/thirdParty/domReady",
		text : "app/components/thirdParty/text",
		backbone : "app/components/thirdParty/backbone.min",
		underscore : "app/components/thirdParty/underscore.min",
		handlebars : "app/components/thirdParty/handlebars.min",
		QUnit : "test/thirdParty/qunit/QUnit_1_17_1",
		sinon : "test/thirdParty/sinon/sinon_1_12_2",
		
		// application
		models : "app/components/tipcalc/models",
		views : "app/components/tipcalc/views",
		templates : "app/components/tipcalc/templates",
		partials : "app/components/tipcalc/partials",
		
		// tests
		modelTests: "test/tipcalc/models",
		viewTests: "test/tipcalc/views"
	},
	shim : {
		QUnit : {
			exports : 'QUnit',
			init : function() {
				QUnit.config.autoload = false;
				QUnit.config.autostart = false;
			}
		}
	}
});

require([ "jquery", "QUnit", "sinon", "modelTests/tipModelTests", "viewTests/tipViewTests"  ], 
		function($, QUnit, sinon, modelTests, tipViewTests) {

	modelTests.addTests();
	tipViewTests.addTests();

    QUnit.load();
    QUnit.start();
    
});

