define([ "jquery", "views/tip", "models/tipForm"  ], function($, TipView, TipForm) {

	function addTests() {

		module("Tip View Tests", {
			beforeEach: function() {
				$( "#qunit-fixture" ).append( "<section></section>" );
			}
		});
		
		test("Tip Display", function() {
			TipForm.setBillTotal("10");
			TipForm.roundTipPercent("15");
			this.tipView = new TipView({
				model : TipForm
			});			
			this.tipView.render();

			strictEqual($("section").children("p").eq(0).text(), "Tip Amount: 1.50", "When the tip is 15% for a $10 bill, 'Tip Amount: 1.50' should display");
			strictEqual($("section").children("p").eq(1).text(), "Total Amount: 11.50", "When the tip is 15% for a $10 bill, 'Total Amount: 11.50' should display");
			strictEqual($("section").children("p").eq(2).text(), "Tip Rating: Standard", "When the tip is 15% for a $10 bill, 'Tip Rating: Standard' should display");
 		});		
	}
	;

	return {
		addTests : addTests
	};

});
