requirejs.config({
	baseUrl : "../",
	paths : {
		// third party
		jquery : "app/components/thirdParty/jquery.min",
		domReady : "app/components/thirdParty/domReady",
		text : "app/components/thirdParty/text",
		knockout : "app/components/thirdParty/knockout.min",
		knockout_validation: "app/components/thirdParty/knockout-validation.min",		
		QUnit : "test/thirdParty/qunit/QUnit_1_17_1",
		sinon : "test/thirdParty/sinon/sinon_1_12_2",
		
		// application
		viewmodels : "app/components/tipcalc/viewmodels",
		templates : "app/components/tipcalc/templates",
		partials : "app/components/tipcalc/partials",
		utils: "app/components/tipcalc/utils",
		
		// tests
		utilTests: "test/tipcalc/utils",
		viewmodelTests: "test/tipcalc/viewmodels"
	},
	shim : {
		QUnit : {
			exports : 'QUnit',
			init : function() {
				QUnit.config.autoload = false;
				QUnit.config.autostart = false;
			}
		}
	}
});

require([ "QUnit", "sinon", "utilTests/tipCalculatorUtilTests", "viewmodelTests/tipViewModelTests" ], 
		function(QUnit, sinon, tipCalculatorUtilTests, tipViewModelTests) {

	tipCalculatorUtilTests.addTests();
	tipViewModelTests.addTests();

    QUnit.load();
    QUnit.start();
    
});

