define([ "jquery", "viewmodels/tip" ], function($, TipViewModel) {

	function addTests() {

		module("Tip ViewModel Tests", {
			beforeEach: function() {
				this.viewModel = new TipViewModel.tipCalculatorViewModel();	
				this.viewModel.tipForm.billTotal(10);
				this.viewModel.tipForm.tipPercent(15);
				this.viewModel.calculateTip();
		    }
		});	

		test("Tip Calculations", function() {
			this.viewModel.tipForm.billTotal(10);
			this.viewModel.tipForm.tipPercent(15);
			this.viewModel.calculateTip();

			strictEqual(this.viewModel.amt(), "1.50", "When the tip is 15% for a $10 bill, ViewModel tip amount should be 1.50");
			strictEqual(this.viewModel.total(), "11.50", "When the tip is 15% for a $10 bill, ViewModel new bill total should be 11.50");
			strictEqual(this.viewModel.tipRating(), "Standard", "When the tip is 15% for a $10 bill, ViewModel rating should be Standard");
 		});			
		
	};

	return {
		addTests : addTests
	};

});
