angular.module("messaging.services", [])

.factory("messageSvc", [ "$rootScope", function($rootScope) {

	function displayMsg(msg) {
		if(msg != null){
			$rootScope.$broadcast("userMessage", msg);			
		}
	};	 
	
	function displayError(error){
		// if server error
		if(error.data){
			console.log("%cERROR:\nStatus: " + error.status + "\nException: " + error.data.exceptionText, "color: red");	
			displayMsg(error.data.message);
		} 
		// local error
		else {
			console.log("%c" + error, "color: red");
			displayMsg("An error has occured. Please try again.");
		}

	};
	
	return {
		displayMsg : displayMsg,
		displayError : displayError
	};
	
} ] );