angular.module("pricing.services", [])

.factory("pricingSvc", function() {

	var discountRate = 40;
	
    function calculate(game) {
    	
    	if(game != null){

    		try {
    			// make sure we have a valid quantity
    			if(game.quantity == null || game.quantity == 0){
    				game.quantity = 1;
    			}
    			
	    		// create a discount property
	        	game.discountPrice = game.price;
	        	
	    		game.discountPrice = ((discountRate / 100) * (game.discountPrice));
	    		game.discountPrice = game.discountPrice.toFixed(2);
	
	    		// get total price of purchase with discount
	    		game.discountPrice = game.discountPrice * game.quantity;    
    		} catch(discountEx) {
    			console.log("%cERROR CALCULATING DISCOUNT:\n: " + discountEx, "color: red");
    			throw discountEx;
    		}
    		
    		try {
	        	// get total price of purchase without discount
	        	game.price = game.price * game.quantity; 
    		} catch(priceEx) {
    			console.log("%cERROR CALCULATING PRICE:\n: " + priceEx, "color: red");
    			throw priceEx;
    		}
    		        	
    		try {
	        	// calculate savings
	        	game.savings = game.price - game.discountPrice;
    		} catch(savingsEx) {
    			console.log("%cERROR CALCULATING SAVINGS:\n: " + savingsEx, "color: red");
    			throw savingsEx;
    		}	        	
        	    		
    	}
    	
    	return game;
    };	
    
	return {
		applyDiscount : calculate
	};
	
} );

