angular.module("productdisplay.controllers", ["productdisplay.services", "pricing.services", "shoppingCart.services", "messaging.services"])

.controller("productDisplayController", ["$scope", "$state", "$stateParams", "productDisplaySvc","pricingSvc", "shoppingCartSvc", "messageSvc", function($scope, $state, $stateParams, productDisplaySvc, pricingSvc, shoppingCartSvc, messageSvc){
	
	// update view with game info returned	
	productDisplaySvc.getDetails($stateParams.productId)
	.then(function(gameFound) {
		$scope.results = pricingSvc.applyDiscount(gameFound);	
	}, function(errorResult) {
		messageSvc.displayError(errorResult);
		$state.go("welcome");
	});	

	
	$scope.addToCart = function() {
		shoppingCartSvc.addToCart($stateParams.productId);
	};

}]);
