angular.module("search.controllers", ["search.services", "messaging.services"])

.controller("searchController", ["$scope", "$state", function($scope, $state){
	$scope.search = function() {
		$state.go("searchResults", { gameTitle:$scope.game.name } );
	};
}])


.controller("searchResultsController", ["$scope", "$state", "$stateParams", "searchSvc", "messageSvc", function($scope, $state, $stateParams, searchSvc, messageSvc){
	// show search results and inform user of search status
	searchSvc.search($stateParams.gameTitle)
	.then(function(gamesFound) {
		$scope.results = gamesFound;
		
		// gen new user msg for lookup outcome
		var theMsg = searchSvc.createResultsMsg(gamesFound == null ? 0 : gamesFound.length);
		messageSvc.displayMsg(theMsg);		
	}, function(errorResult) {
		messageSvc.displayError(errorResult);
	});		
}]);


