angular.module("search.services", ["ngResource"])


.factory("searchSvc", [ "$resource", function($resource) {

	var Games = $resource("controllers/games/search/:searchTerm");
	
	function searchByTitle(partialTitle) {
		return Games.query({searchTerm: partialTitle}).$promise;
	};
	
	function createResultsMsg(resultSize) {
		var lookupResultMsg = null;

		switch (resultSize) {
		case 0:
			lookupResultMsg = "No results found";
			break;
		case 1:
			lookupResultMsg = "One game found!";
			break;
		default:
			lookupResultMsg = resultSize + " games found!";
		}

		return lookupResultMsg;
	};	

	return {
		search : searchByTitle,
		createResultsMsg : createResultsMsg
	};
	
} ]);


