package com.gamestore.controllers;

import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.http.HttpStatus;
import org.springframework.web.bind.annotation.ExceptionHandler;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.ResponseBody;
import org.springframework.web.bind.annotation.ResponseStatus;
import org.springframework.web.bind.annotation.RestController;

import com.gamestore.dataservices.DataService;
import com.gamestore.entities.Game;
import com.gamestore.exceptions.ErrorMessage;

@RestController
@RequestMapping("/games")
public class SearchController {

	@Autowired
	private DataService gameData;

	@RequestMapping(value = "/search/{srchTerm}", method = RequestMethod.GET)
	public @ResponseBody
	List<Game> search(@PathVariable String srchTerm) throws Exception {
		List<Game> findMatchData = gameData.findMatch(srchTerm);
		return findMatchData;
	}

	@RequestMapping(value = "/id/{productId}", method = RequestMethod.GET)
	public @ResponseBody
	Game getGameById(@PathVariable String productId) throws Exception {
		Game game = gameData.findById(productId);
		return game;
	}

	@ExceptionHandler(Exception.class)
	@ResponseBody
	@ResponseStatus(value = HttpStatus.BAD_REQUEST)
	public ErrorMessage handleGeneralException(Exception e) {
		return new ErrorMessage("Unable to complete user request.", e.getMessage());
	}

}
